<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/*
| -------------------------------------------------------------------------
| URI ROUTING
| -------------------------------------------------------------------------
| This file lets you re-map URI requests to specific controller functions.
|
| Typically there is a one-to-one relationship between a URL string
| and its corresponding controller class/method. The segments in a
| URL normally follow this pattern:
|
|	example.com/class/method/id/
|
| In some instances, however, you may want to remap this relationship
| so that a different class/function is called than the one
| corresponding to the URL.
|
| Please see the user guide for complete details:
|
|	http://codeigniter.com/user_guide/general/routing.html
|
| -------------------------------------------------------------------------
| RESERVED ROUTES
| -------------------------------------------------------------------------
|
| There area two reserved routes:
|
|	$route['default_controller'] = 'welcome';
|
| This route indicates which controller class should be loaded if the
| URI contains no data. In the above example, the "welcome" class
| would be loaded.
|
|	$route['404_override'] = 'errors/page_missing';
|
| This route will tell the Router what URI segments to use if those provided
| in the URL cannot be matched to a valid route.
|
*/

//$route['default_controller'] = "welcome";
$route['default_controller']    = "home";
$route['student']               = "managestudent";
$route['student/getStudents/(:any)']   = "managestudent/getStudents/$1";
$route['student/createStudent/(:any)']   = "managestudent/createStudent/$1";
$route['student/uploadfile/(:any)']   = "managestudent/uploadfile/$1";
$route['student/uploadfile']   = "managestudent/uploadfile";
//$route['student/uploadfile/(:any)/(:any)']   = "managestudent/uploadfile/$1/$2";
$route['student/getSchoolLevels/(:any)']   = "managestudent/getSchoolLevels/$1";

//Teacher routes
$route['teacher']               = "manageteacher";
$route['teacher/getTeachers/(:any)']   = "manageteacher/getTeachers/$1";
$route['teacher/createTeacher']   = "manageteacher/createTeacher";
$route['teacher/uploadfile/(:any)']   = "manageteacher/uploadfile/$1";
//$route['teacher/uploadfile/(:any)/(:any)']   = "manageteacher/uploadfile/$1/$2";
$route['teacher/getSubjectList']   = "manageteacher/getSubjectList";
$route['teacher/getGroupList']   = "manageteacher/getGroupList";
$route['404_override'] = '';

// Setting routes
$route['setting'] = "managesetting";
$route['setting/getSettings/(:any)']   = "managesetting/getSettings/$1";
$route['setting/createSetting']   = "managesetting/createSetting";

//Groups routes
$route['groups'] = "managegroups";
$route['groups/getGroups/(:any)']   = "managegroups/getGroups/$1";
$route['groups/createGroup']   = "managegroups/createGroup";
$route['groups/getStudents']   = "managegroups/getStudents";
$route['groups/uploadfile/(:any)']   = "managegroups/uploadfile/$1";
$route['groups/uploadfile']   = "managegroups/uploadfile";
$route['groups/getGroupTypes']   = "managegroups/getGroupTypes";
//Competencies routes
$route['competency'] = "managecompetencies";
$route['competency/getCompetencies/(:any)']   = "managecompetencies/getCompetencies/$1";
$route['competency/createCompetency']   = "managecompetencies/createCompetency";
$route['competency/getGroupList/(:any)']   = "managecompetencies/getGroupList/$1";
$route['competency/getSettingList']   = "managecompetencies/getSettingList";
/* End of file routes.php */
/* Location: ./application/config/routes.php */