
var editor; // use a global for the submit and return data rendering in the examples

// Our custom field type
$.fn.dataTable.Editor.fieldTypes.todo = $.extend(true, {}, $.fn.dataTable.Editor.models.fieldType, {
    "create": function (conf) {
        var that = this;

        conf._enabled = true;

        // Create the elements to use for the input
        conf._input = $(
                '<div>' +
                '<button class="inputButton" id="std-icon" data-toggle="modal" value="0" data-target="#modal-3">Standard Icons</button>' +
                '<input id="test" name="std-icon" type="hidden" value=""/>' +
                '</div>')[0];

        // Use the fact that we are called in the Editor instance's scope to call
        // the API method for setting the value when needed



        return conf._input;
    }
});

$(document).ready(function () {

    editor = new $.fn.dataTable.Editor({
        table: "#example",
        fields: [{
                label: "User ID:",
                id: "userid",
                name: "userid"
            }, {
                label: "First Name:",
                name: "firstname"
            }, {
                label: "Sur Name:",
                name: "surname"
            }, {
                label: "Email:",
                name: "email"
            }, {
                label: "Password:",
                name: "password",
                type: "password"
            }, {
                label: "Schoollvel:",
                name: "level",
                type: "select",
                ipOpts: getSchoolLevels()
            }, {
                label: "Icon:",
                name: "file",
                id: "upload",
                type: "file" // Using the custom field type

            }, {
                name: "id",
                type: "hidden"
            }, {
                name: "done",
                type: "todo"
            }


        ],
        ajax: path + "student/createStudent/" + schoolid

    });
    // Activate an inline edit on click of a table cell
//    $('#example').on('click', 'tbody td', function (e) {
//        editor.inline(this);
//    });

    editor.on('preSubmit', function (e, o) {
        var formError = 'ture';
        if (o.data.userid === '') {
            this.error('userid', 'A User id must be given');
            formError = false;
            return false;
        }
        else if (o.data.userid.length <= 3) {
            this.error('userid', 'The user id length must be greater than 3 characters');
            formError = false;
            return false;
        }

        if (o.data.firstname === '') {
            this.error('firstname', 'A first name must be given');
            formError = false;
            return false;
        }
        else if (o.data.firstname.length >= 20) {
            this.error('firstname', 'The first name length must be less that 20 characters');
            formError = false;
            return false;
        }
        if (o.data.surname === '') {
            this.error('surname', 'A sur name must be given');
            formError = false;
            return false;
        }
        else if (o.data.firstname.length >= 20) {
            this.error('surname', 'The sur name length must be less than 14 characters');
            formError = false;
            return false;
        }

        if (o.data.email === '') {
            this.error('email', 'A email must be given');
            formError = false;
            return false;
        } else {
            
            if (!validateEmail(o.data.email)) {
                this.error('email', 'Invalid email');
                formError = false;
                return false;
            }
        }



        if (o.data.password === '') {
            this.error('password', 'Password must be given');
            formError = false;
            return false;
        }
        else if (o.data.password.length <= 4) {
            this.error('password', 'The user id length must be greater than 4 characters');
            formError = false;
            return false;
        }
        

        // ... etc

        fileup(o.data.id);

    });
    function validateEmail(email) {
        // http://stackoverflow.com/a/46181/11236

        var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(email);
    }
    function fileup(id = null){
        console.log('this is file up section');
        console.log($("#img-name").val());
        var form = jQuery("#my-class");
        var std = $("#img-name").val();
        var n = $("#userid").val();
        var param = '';
        if (id !== null && id !== '') {
            param = '/' + id;
        }
        if (std !== '') {

            param = param + '?std=' + std + '&n=' + n;
        } else {
            param = param + '?n=' + n;
        }
        var data = new FormData();

        var file = document.getElementById('upload').files[0]; //userfile file tag id
        if (file) {
            data.append('userfile', file);
        }


        jQuery.ajax({
            type: 'POST',
            url: path + "student/uploadfile" + param,
            data: data,
            cache: false,
            contentType: false,
            processData: false,
            context: document.body,
            error: function (data, transport) {
                alert("Sorry, the operation is failed.");
            },
            success: function (data) {
				$("#img-name").val('');

            }
        });
    }
    var table = $('#example').DataTable({
        lengthChange: false,
        ajax: "student/getStudents/" + schoolid,
        columns: [
            {data: "userid"},
            {data: "firstname"},
            {data: "surname"},
            {data: "email"}

        ]
    });
    var tableTools = new $.fn.dataTable.TableTools(table, {
        sRowSelect: "os",
        aButtons: [
            {sExtends: "editor_create", editor: editor},
            {sExtends: "editor_edit", editor: editor}
            //{sExtends: "editor_remove", editor: editor}
        ]
    });
    $(tableTools.fnContainer()).appendTo('#example_wrapper .col-xs-6:eq(0)');

    //var test= new Array({"label" : "a", "value" : "a"});
    function getSchoolLevels() {
        //test.splice(0, 1);
        var test = new Array();
        $.ajax({
            url: 'student/getSchoolLevels/' + schoolid,
            async: false,
            dataType: 'json',
            success: function (json) {
                for (var a = 0; a < json.length; a++) {
                    obj = {"label": json[a], "value": (a + 1)};
                    test.push(obj);
                }
            }
        });
        return test;
    }

});

function setImage(name) {
    $("#img-name").val('');
    $("#img-name").val(name);
    $(".str-icon").css("background", "none");
    $("#" + name).css("background", "green");
}

function standardIcon() {
    $("#img-name").val('');

}


